Bug 507837 - patch to allow for support of anjal mail client
patch to allow for support of anjal mail client
Product: Fedora
Classification: Fedora
Component: webkitgtk (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
Depends On:
Blocks: 507849
  Show dependency treegraph
Reported: 2009-06-24 09:30 EDT by Peter Robinson
Modified: 2009-08-01 09:32 EDT (History)
6 users (show)

See Also:
Fixed In Version: 1.1.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-08-01 09:32:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-06-24 09:30:05 EDT
anjal, a netbook mail client which uses e-d-s for a nice and usable interface on a smaller device like a netbook, needs the following patch to compile against the rahwide webkit. Is it possible to get it added to the build?

Comment 1 Mamoru TASAKA 2009-06-24 10:22:13 EDT
Was this patch submitted on the upstream bugzilla or committed
in the upstream source tree?
Comment 2 Peter Robinson 2009-06-24 10:31:50 EDT
Not 100% sure at the moment. Will update this ticket when the person gets back to me.
Comment 3 Mamoru TASAKA 2009-07-10 04:40:45 EDT
What is the status of this bug?
Comment 4 Peter Robinson 2009-07-10 06:04:07 EDT
I'm still chasing the upstream anjal devs trying to get the upstream bug number or even a mailing list thread from them.
Comment 5 Mamoru TASAKA 2009-07-10 11:20:49 EDT
Would you try to contact anjal upstream developers and ask them
to submit needed patches to webkit development team? Unless
webkit developer accepts this patch, it is not likely that we
apply this patch to Fedora's webkit.
Comment 6 Peter Robinson 2009-07-10 11:26:26 EDT
That's what I'm trying to do. I believe the person who knows the details is away. I'm chasing them to get the details. I'm aware of the Fedora policy.
Comment 7 Peter Robinson 2009-07-20 05:55:17 EDT
The upstream bug report is https://bugs.webkit.org/show_bug.cgi?id=17154
Comment 8 Sebastian Dziallas 2009-07-21 16:49:45 EDT
Got apparently upstream just a day ago and is reported to be in r46123! :)
Comment 9 Mamoru TASAKA 2009-07-22 13:12:49 EDT
Well, I cannot figure out how the change in webkit r46123 is
used in current anjal sources.

webkit r46123 change seems to add webkit_web_view_size_request(),
however current anjal sources don't use this and still depend
on anjal.patch in anjal git latest source which is not committed
into webkit's upstream.
Comment 10 Peter Robinson 2009-08-01 09:32:57 EDT
fixed in webkitgtk 1.1.12. Yay!

Note You need to log in before you can comment on or make changes to this bug.